Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.gen
Class EPPTestGenMapFactory

    java.lang.Object
      com.verisign.epp.codec.gen.EPPMapFactory
          com.verisign.epp.codec.gen.EPPTestGenMapFactory

    public class EPPTestGenMapFactory

extends EPPMapFactory

`EPPTestGenMapFactory` is a test map factory used to test the general (gen) EPP package. The fully qualified class name for `EPPTestGenMapFactory` is included in a call to `EPPFactory.init` or `EPPCodec.init`.

Version:
  $Revision: 1.3 $
Author:
  $Author: jim $
See Also:
  `EPPCodec`, `EPPFactory`, `EPPCommand`, `EPPResponse`

Field Summary
`static java.lang.String` | `NS` Namespace URI associated with EPPTestGenMapFactory.
`static java.lang.String` | `NS_PREFIX` Namespace prefix associated with EPPTestGenMapFactory.
`static java.lang.String` | `NS_SCHEMA` EPP Domain XML Schema.

Fields inherited from class com.verisign.epp.codec.gen.EPPMapFactory
`EPP_CHECK, EPP_CREATE, EPP_DELETE, EPP_INFO, EPP_LOGIN, EPP_LOGOUT, EPP_RENEW, EPP_TRANSFER, EPP_UPDATE`

Constructor Summary
`EPPTestGenMapFactory()` Allocates a new `EPPTestGenMapFactory`.

Method Summary
`EPPCommand` | `createCommand(org.w3c.dom.Element aMapElement)` creates a concrete `EPPCommand` from the passed in XML Element tree.
`EPPResponse` | `createResponse(org.w3c.dom.Element aMapElement)` creates a concrete `EPPResponse` from the passed in XML Element tree.
`EPPService` | `getService()` Gets the `EPPService` associated with `EPPTestGenMapFactory`.

Methods inherited from class com.verisign.epp.codec.gen.EPPMapFactory
`getXmlSchemas`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final java.lang.String NS

  Namespace URI associated with EPPTestGenMapFactory.

  See Also:
    Constant Field Values

### NS_PREFIX

    public static final java.lang.String NS_PREFIX

  Namespace prefix associated with EPPTestGenMapFactory.

  See Also:
    Constant Field Values

### NS_SCHEMA

    public static final java.lang.String NS_SCHEMA

  EPP Domain XML Schema.

  See Also:
    Constant Field Values

Constructor Detail

### EPPTestGenMapFactory

    public EPPTestGenMapFactory()

  Allocates a new `EPPTestGenMapFactory`. The service attribute will be initialized with the XML namespace information defined by the `EPPTestGenMapFactory` constants:
  - NS_PREFIX Namespace prefix of `EPPTestGenMapFactory`
  - NS Namespace URI of `EPPTestGenMapFactory`
  - NS_SCHEMA Namespace schema reference of `EPPTestGenMapFactory`

Method Detail

### createCommand

    public EPPCommand createCommand(org.w3c.dom.Element aMapElement)
                             throws EPPCodecException

  creates a concrete `EPPCommand` from the passed in XML Element tree. `aMapElement` must be the root node for the command extension. For example, <domain:create> must be the element passed for a Domain Create Command.

  Specified by:
    `createCommand` in class `EPPMapFactory`
  Parameters:
    `aMapElement` - Mapping Extension EPP XML Element.
  Returns:
    Concrete `EPPCommand` instance associated with `aMapElement`.
  Throws:
    `EPPCodecException` - Error creating concrete `EPPCommand`

### createResponse

    public EPPResponse createResponse(org.w3c.dom.Element aMapElement)
                               throws EPPCodecException

  creates a concrete `EPPResponse` from the passed in XML Element tree. `aMapElement` must be the root node for the command extension. For example, <domain:info-data> must be the element passed for a Domain Info Response.

  Specified by:
    `createResponse` in class `EPPMapFactory`
  Parameters:
    `aMapElement` - Mapping Extension EPP XML Element.
  Returns:
    Concrete `EPPResponse` instance associated with `aMapElement`.
  Throws:
    `EPPCodecException` - Error creating concrete `EPPResponse`

### getService

    public EPPService getService()

  Gets the `EPPService` associated with `EPPTestGenMapFactory`. The `EPPService` is used by `EPPFactory` for distributing the responsibility of creating concrete `EPPCommand` and `EPPResponse` objects by XML namespace. The XML namespace is defined in the returned `EPPService`.

  Specified by:
    `getService` in class `EPPMapFactory`
  Returns:
    service description for the Domain Command Mapping.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.